<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml"
      xmlns:h="http://java.sun.com/jsf/html"
      xmlns:f="http://java.sun.com/jsf/core"
      xmlns:ui="http://java.sun.com/jsf/facelets"
      xmlns:a4j="http://richfaces.org/a4j"
      xmlns:rich="http://richfaces.org/rich"
      xmlns:c="http://java.sun.com/jsp/jstl/core"
      xmlns:notifications="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/notifications"
      xmlns:identification="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/identification"
      xmlns:popups="http://java.sun.com/jsf/composite/components/org/inra/ecoinfo/popups">
    <f:loadBundle basename="org.inra.ecoinfo.genericfilesrepository.uijsf.datatypesaccordionitem" var="variableaccordionitem"/>



    <f:facet name="header">
        <h:graphicImage name="accepted.png" library="images"
                        rendered="#{uiBean.parametersRequest.datatypeStepIsValid}" />
        <h:outputText value="#{variableaccordionitem.PROPERTY_MSG_VARIABLE_TITLE}" />
    </f:facet>
    <rich:list
        value="#{uiBean.parametersRequest.listDatatypesSelected}"
        var="datatype" type="unordered"
        rendered="#{uiBean.parametersRequest.datatypeStepIsValid}">
        <h:outputText value="#{datatype.localizedDatatypeName}" />
        <h:graphicImage name="remove_selection.png" library="images"
                        onclick="selectDatatype(#{datatype.datatype.datatype.id})" styleClass="buttonAction" />
    </rich:list>	


    <h:outputText
        value="#{variableaccordionitem.PROPERTY_MSG_CHOOSE_VARIABLE}"
        styleClass="selectionEmpty"
        rendered="#{empty uiBean.parametersRequest.datatypeSelected}" />

</html>